#include "triangles.h"
#pragma once
#include <vector>

using namespace std;

std::vector<std::vector<int>> solve(int n) {
    std::vector<std::vector<int>> ans;
    std::vector<Triangle> left = {Triangle(0, 1, 2)};
    std::vector<Triangle> right = {Triangle(1, 2, 3)};
    std::vector<Triangle> per = {Triangle(1, 2, 3), Triangle(0, 2, 3), Triangle(0, 1, 3), Triangle(0, 1, 2)};
    Triangle ma = per[0];
    for (int i = 1; i < 4; i++) {
        int compare_result = compare({ma}, {per[i]});
        if (compare_result == -1) {
            ma = per[i];
        }
    }
    ans.push_back(std::vector<int>(n));
    for (int i = 0; i < 3; ++i) {
        ans[0][i] = ma[i];
    }
    return ans;
}